Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.plugins
Class AbstractBeanMetaData

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.beans.metadata.plugins.AbstractFeatureMetaData
              org.jboss.beans.metadata.plugins.AbstractBeanMetaData

All Implemented Interfaces:
  BeanMetaData, Cloneable, FeatureMetaData, org.jboss.util.JBossInterface, MetaDataVisitorNode

Direct Known Subclasses:
  GenericBeanFactoryMetaData

public class AbstractBeanMetaData
extends AbstractFeatureMetaData
implements BeanMetaData

Metadata for a bean.

Version:
  $Revision: 1.18 $
Author:
  Adrian Brock

Field Summary
`protected String` | `bean` The bean class name
`protected ClassLoaderMetaData` | `classLoader` The bean ClassLoader
`protected ConstructorMetaData` | `constructor` The constructor
`protected LifecycleMetaData` | `create` The create lifecycle
`protected Set` | `demands` What the bean demands Set
`protected LifecycleMetaData` | `destroy` The destroy lifecycle
`protected Map` | `metaData`
`protected org.jboss.dependency.spi.ControllerMode` | `mode` The mode
`protected String` | `name` The name of this instance
`protected LifecycleMetaData` | `start` The start lifecycle
`protected LifecycleMetaData` | `stop` The stop lifecycle
`protected Set` | `supplies` What the bean supplies Set

Fields inherited from class org.jboss.beans.metadata.plugins.AbstractFeatureMetaData
`annotations, description`

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`AbstractBeanMetaData()` Create a new bean meta data
`AbstractBeanMetaData(String bean)` Create a new bean meta data
`AbstractBeanMetaData(String name, String bean)` Create a new bean meta data

Method Summary
`void` | `addProperty(PropertyMetaData property)` Add a property
`String` | `getBean()` Get the bean.
`Iterator` | `getChildren()` Return the child nodes
`protected void` | `getChildren(Collection collection)` Get the children
`ClassLoaderMetaData` | `getClassLoader()` Get the bean ClassLoader
`ConstructorMetaData` | `getConstructor()` Get the constructor
`LifecycleMetaData` | `getCreate()` Get the create lifecycle
`Set` | `getDemands()` Get what this bean demands.
`LifecycleMetaData` | `getDestroy()` Get the destroy lifecycle
`org.jboss.dependency.spi.ControllerMode` | `getMode()` Get the mode
`String` | `getName()` Get the name
`Set` | `getProperties()` Get the properties.
`PropertyMetaData` | `getProperty(String name)` Get a property
`LifecycleMetaData` | `getStart()` Get the start lifecycle
`LifecycleMetaData` | `getStop()` Get the stop lifecycle
`Set` | `getSupplies()` Get what this bean supplies.
`void` | `setBean(String bean)` Set the bean.
`void` | `setClassLoader(ClassLoaderMetaData classLoader)` Set the bean ClassLoader
`void` | `setConstructor(ConstructorMetaData constructor)` Set the constructor
`void` | `setCreate(LifecycleMetaData lifecycle)` Set the lifecycle metadata
`void` | `setDemands(Set demands)` Set what the bean demands.
`void` | `setDestroy(LifecycleMetaData lifecycle)` Set the destroy metadata
`void` | `setMode(org.jboss.dependency.spi.ControllerMode mode)` Set the name
`void` | `setName(String name)` Set the name.
`void` | `setProperties(Set properties)` Set the propertiess.
`void` | `setStart(LifecycleMetaData lifecycle)` Set the start metadata
`void` | `setStop(LifecycleMetaData lifecycle)` Set the stop metadata
`void` | `setSupplies(Set supplies)` Set what the bean supplies.
`void` | `toShortString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `toString(org.jboss.util.JBossStringBuilder buffer)`

Methods inherited from class org.jboss.beans.metadata.plugins.AbstractFeatureMetaData
`getAnnotations, getDescription, setAnnotations, setDescription, visit`

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.beans.metadata.spi.FeatureMetaData
`getAnnotations, getDescription`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString`

Methods inherited from interface org.jboss.beans.metadata.spi.MetaDataVisitorNode
`visit`

Field Detail

### bean

    protected String bean

  The bean class name

### name

    protected String name

  The name of this instance

### mode

    protected org.jboss.dependency.spi.ControllerMode mode

  The mode

### classLoader

    protected ClassLoaderMetaData classLoader

  The bean ClassLoader

### constructor

    protected ConstructorMetaData constructor

  The constructor

### create

    protected LifecycleMetaData create

  The create lifecycle

### start

    protected LifecycleMetaData start

  The start lifecycle

### stop

    protected LifecycleMetaData stop

  The stop lifecycle

### destroy

    protected LifecycleMetaData destroy

  The destroy lifecycle

### demands

    protected Set demands

  What the bean demands Set

### supplies

    protected Set supplies

  What the bean supplies Set

### metaData

    protected Map metaData

Constructor Detail

### AbstractBeanMetaData

    public AbstractBeanMetaData()

  Create a new bean meta data

### AbstractBeanMetaData

    public AbstractBeanMetaData(String bean)

  Create a new bean meta data

Parameters:
  `bean` - the bean class name

### AbstractBeanMetaData

    public AbstractBeanMetaData(String name,
                                String bean)

  Create a new bean meta data

Parameters:
  `name` - the name
  `bean` - the bean class name

Method Detail

### setBean

    public void setBean(String bean)

  Set the bean.

  Parameters:
    `bean` - The bean to set.

### getProperty

    public PropertyMetaData getProperty(String name)

  Get a property

  Parameters:
    `name` - the name
  Returns:
    the property name

### addProperty

    public void addProperty(PropertyMetaData property)

  Add a property

  Parameters:
    `property` - the property

### setProperties

    public void setProperties(Set properties)

  Set the propertiess.

  Parameters:
    `properties` - Set

### getClassLoader

    public ClassLoaderMetaData getClassLoader()

  Description copied from interface: `BeanMetaData`
  Get the bean ClassLoader

  Specified by:
    `getClassLoader` in interface `BeanMetaData`
  Returns:
    the ClassLoader metadata

### setClassLoader

    public void setClassLoader(ClassLoaderMetaData classLoader)

  Description copied from interface: `BeanMetaData`
  Set the bean ClassLoader

  Specified by:
    `setClassLoader` in interface `BeanMetaData`
  Parameters:
    `classLoader` - the ClassLoader metadata

### setConstructor

    public void setConstructor(ConstructorMetaData constructor)

  Set the constructor

  Parameters:
    `constructor` - the constructor metadata

### setDemands

    public void setDemands(Set demands)

  Set what the bean demands.

  Parameters:
    `demands` - Set

### setSupplies

    public void setSupplies(Set supplies)

  Set what the bean supplies.

  Parameters:
    `supplies` - Set

### getBean

    public String getBean()

  Description copied from interface: `BeanMetaData`
  Get the bean.

  Specified by:
    `getBean` in interface `BeanMetaData`
  Returns:
    the bean.

### getName

    public String getName()

  Description copied from interface: `BeanMetaData`
  Get the name

  Specified by:
    `getName` in interface `BeanMetaData`
  Returns:
    the name

### setName

    public void setName(String name)

  Set the name.

  Specified by:
    `setName` in interface `BeanMetaData`
  Parameters:
    `name` - The name to set.

### getMode

    public org.jboss.dependency.spi.ControllerMode getMode()

  Description copied from interface: `BeanMetaData`
  Get the mode

  Specified by:
    `getMode` in interface `BeanMetaData`
  Returns:
    the mode

### setMode

    public void setMode(org.jboss.dependency.spi.ControllerMode mode)

  Description copied from interface: `BeanMetaData`
  Set the name

  Specified by:
    `setMode` in interface `BeanMetaData`
  Parameters:
    `mode` - the mode

### getProperties

    public Set getProperties()

  Description copied from interface: `BeanMetaData`
  Get the properties.

  Specified by:
    `getProperties` in interface `BeanMetaData`
  Returns:
    List.

### getConstructor

    public ConstructorMetaData getConstructor()

  Description copied from interface: `BeanMetaData`
  Get the constructor

  Specified by:
    `getConstructor` in interface `BeanMetaData`
  Returns:
    the constructor metadata

### getCreate

    public LifecycleMetaData getCreate()

  Description copied from interface: `BeanMetaData`
  Get the create lifecycle

  Specified by:
    `getCreate` in interface `BeanMetaData`
  Returns:
    the create lifecycle

### setCreate

    public void setCreate(LifecycleMetaData lifecycle)

  Set the lifecycle metadata

  Parameters:
    `lifecycle` - the lifecycle metadata

### getStart

    public LifecycleMetaData getStart()

  Description copied from interface: `BeanMetaData`
  Get the start lifecycle

  Specified by:
    `getStart` in interface `BeanMetaData`
  Returns:
    the start lifecycle

### setStart

    public void setStart(LifecycleMetaData lifecycle)

  Set the start metadata

  Parameters:
    `lifecycle` - the lifecycle metadata

### getStop

    public LifecycleMetaData getStop()

  Description copied from interface: `BeanMetaData`
  Get the stop lifecycle

  Specified by:
    `getStop` in interface `BeanMetaData`
  Returns:
    the stop lifecycle

### setStop

    public void setStop(LifecycleMetaData lifecycle)

  Set the stop metadata

  Parameters:
    `lifecycle` - the lifecycle metadata

### getDestroy

    public LifecycleMetaData getDestroy()

  Description copied from interface: `BeanMetaData`
  Get the destroy lifecycle

  Specified by:
    `getDestroy` in interface `BeanMetaData`
  Returns:
    the destroy lifecycle

### setDestroy

    public void setDestroy(LifecycleMetaData lifecycle)

  Set the destroy metadata

  Parameters:
    `lifecycle` - the lifecycle metadata

### getDemands

    public Set getDemands()

  Description copied from interface: `BeanMetaData`
  Get what this bean demands.

  Specified by:
    `getDemands` in interface `BeanMetaData`
  Returns:
    Set

### getSupplies

    public Set getSupplies()

  Description copied from interface: `BeanMetaData`
  Get what this bean supplies.

  Specified by:
    `getSupplies` in interface `BeanMetaData`
  Returns:
    Set

### getChildren

    public Iterator getChildren()

  Description copied from interface: `MetaDataVisitorNode`
  Return the child nodes

  Specified by:
    `getChildren` in interface `MetaDataVisitorNode`
  Overrides:
    `getChildren` in class `AbstractFeatureMetaData`

### getChildren

    protected void getChildren(Collection collection)

  Get the children

  Parameters:
    `collection` - the children

### toString

    public void toString(org.jboss.util.JBossStringBuilder buffer)

  Overrides:
    `toString` in class `AbstractFeatureMetaData`

### toShortString

    public void toShortString(org.jboss.util.JBossStringBuilder buffer)

  Specified by:
    `toShortString` in interface `org.jboss.util.JBossInterface`
  Overrides:
    `toShortString` in class `AbstractFeatureMetaData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.